def hanoi(n, start = 1, end = 3, aux = 2):
    if n == 1:
        hanoi(1, start, end, aux)
    else:
        hanoi(n-1, start, aux, end)
        print('T',start,' --> T',end)
        hanoi(n-1, aux, end, start)
